image: python:3.10.10

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python --version  # For debugging
  - mkdir $HOME/.pip
  - cp $FILE_PIP_INI "$HOME/.pip/pip.conf"
  - cp $FILE_PYPIRC "$HOME/.pypirc"
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate